*----------------------------------------------------------------------------------------
* This sub-routine construct social comparison variables using specific percentile cut-off points
* woff: cut-off point for the worse-off group, or the LOW dummies
* boff: cut-off point for the better-off group, or the HIGH dummies
* Default is woff = 25 and boff = 75
*----------------------------------------------------------------------------------------

capture drop sehighd selowd eduhighd edulowd agehighd agelowd reghighd reglowd
capture drop se_p* edu_p* age_p* reg_p*
 
* define locally: socioeco
bysort wave socioeco_new : egen se_p$woff = pctile(value),p($woff)
bysort wave socioeco_new : egen se_p$boff = pctile(value),p($boff)

gen  sehighd = 0
replace sehighd = 1 if value >= se_p$boff
gen  selowd = 0
replace selowd = 1 if value <= se_p$woff

* define locally: edu
bysort wave edutemp : egen edu_p$woff = pctile(value),p($woff)
bysort wave edutemp : egen edu_p$boff = pctile(value),p($boff)

gen  eduhighd = 0
replace eduhighd = 1 if value >= edu_p$boff
gen  edulowd = 0
replace edulowd = 1 if value <= edu_p$woff

* define locally: age
bysort wave agetemp : egen age_p$woff = pctile(value),p($woff)
bysort wave agetemp : egen age_p$boff = pctile(value),p($boff)

gen  agehighd = 0
replace agehighd = 1 if value >= age_p$boff
gen  agelowd = 0
replace agelowd = 1 if value <= age_p$woff

* define locally: region
bysort wave region : egen reg_p$woff = pctile(value),p($woff)
bysort wave region : egen reg_p$boff = pctile(value),p($boff)

gen  reghighd = 0
replace reghighd = 1 if value >= reg_p$boff
gen  reglowd = 0
replace reglowd = 1 if value <= reg_p$woff

sort pid wave
sum sehighd selowd eduhighd edulowd agehighd agelowd reghighd reglowd
